using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string input = Console.ReadLine();
            string[] inputs=input.Split(' ');

            int N = int.Parse(inputs[0]);
            ulong[] H = new ulong[N];
            ulong L = ulong.Parse(inputs[1]);
            int colision = -1;
            input=Console.ReadLine();
            inputs=input.Split(' ');
            
            for (int i = 0; i < N; i++)
            {
               
                H[i] = ulong.Parse( inputs[i]);
                if (H[i] <=L) {
                    colision= i+1;
                    break;
                }
            }
            Console.WriteLine(colision);
           
        }
    }
}